module.exports = function(grunt) {

    grunt.initConfig({

        pkg: grunt.file.readJSON('package.json'),

        less: {
            main_style: {
                src:"<%= concat.css.dest %>",
                dest:"<%= pkg.target_folder %>/master.css"
            }
        },

        cssmin: {
            master: {
                src:"<%= less.main_style.dest %>",
                dest:"<%= pkg.target_folder %>/master.min.css"
            }
        },

        concat: {
            css: {
                src: [
                    '<%= pkg.src_folder %>/stylesheet1.less',
                    '<%= pkg.src_folder %>/stylesheet2.less'],

                dest: '<%= pkg.build_folder %>/master.less'
            }
        },
    });

    grunt.loadNpmTasks('grunt-contrib-less');
    grunt.loadNpmTasks('grunt-contrib-concat');
    grunt.loadNpmTasks('grunt-contrib-cssmin');
    grunt.registerTask('default', ['concat','less','cssmin']);

};